## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate smithay-client-toolkit

Name:           rust-smithay-client-toolkit
Version:        0.18.0
Release:        %autorelease
Summary:        Toolkit for making client wayland applications

License:        MIT
URL:            https://crates.io/crates/smithay-client-toolkit
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
#  * Drop examples with unpackaged dependencies
Patch:          smithay-client-toolkit-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Toolkit for making client wayland applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libxkbcommon-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+calloop-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+calloop-devel %{_description}

This package contains library source intended for building other packages which
use the "calloop" feature of the "%{crate}" crate.

%files       -n %{name}+calloop-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+calloop-wayland-source-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+calloop-wayland-source-devel %{_description}

This package contains library source intended for building other packages which
use the "calloop-wayland-source" feature of the "%{crate}" crate.

%files       -n %{name}+calloop-wayland-source-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xkbcommon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xkbcommon-devel %{_description}

This package contains library source intended for building other packages which
use the "xkbcommon" feature of the "%{crate}" crate.

%files       -n %{name}+xkbcommon-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# Drop examples with unpackaged dependencies
rm -f examples/{relative_pointer.rs,wgpu.rs}

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 28 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.18.0-1
- Update to 0.18.0 (rhbz#2098370)

* Tue Oct 03 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.1-1
- Update to 0.16.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.4-1
- Update to version 0.15.4; Fixes RHBZ#2073760

* Fri Feb 25 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.15.3-1
- Version 0.15.3 (rhbz#1992268)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-3
- Add missing libxkbcommon-devel dependency to fix potential linker issues.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0.
- Fixes RHBZ#1935372

* Thu Jul 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.2-4
- Fix dependency issues caused by very stupid typo.

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.2-3
- Remove and disable unused frames feature.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.2-1
- Update to version 0.12.2.
- Fixes RHBZ#1911592

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.1-1
- Update to version 0.12.1.
- Fixes RHBZ#1905408

* Tue Oct 13 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-2
- Stop disabling frames feature / andrew dependency.

* Sun Oct 04 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.1-2
- Add license and documentation files

* Fri May 22 14:04:46 PDT 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.1-1
- Initial package

